<?php

/**
 * @program   class.MySQL.php
 * @desc      Classe para conexo com o banco de dados
 * @author    Rogerio Lembo
 * @author    rogeriolembo@novabit.com.br
 * @date      29/09/2008
 * @copyright (c) 2008 Nova Bit - Tecnologia Web
 * @license GNU / General Public Licence
 */
 
class MySQL {

	// parametros para conexao
	var $dbName = "sitesaho_central";
	var $dbHost = "189.89.116.194";
	var $dbUsername = "sitesaho_central";
	var $dbPassword = "I8TTHarQqcx6";

	// armazena o resultado das consultas
	var $query;
	var $result;
	var $numRows;

	// armazena o handle da conexao
	var $conn;
	var $persistent;
	
	/**
	 * Construtor
	 * @param $name nome da base de dados
	 * @param $host host da base de dados
	 * @param $username nome do usuario da base de dados
	 * @param $password senha do usuario
	 */
	function MySQLDatabase() {
		$this->result = false;
		$this->numRows = 0;
		$this->conn = NULL;
		$this->persistent = false;
	}
	
	/**
	 * Conecta ao banco de dados
	 * @param $persistent false - normal, true - persistente
	 * @return false - falha na conexao, true - conectado
	 */
	function dbConnect($persistent = false) {
		if($persistent) {
			$this->conn = mysql_pconnect($this->dbHost, $this->dbUsername, $this->dbPassword);
			$this->persistent = true;
		} else {
			$this->conn = mysql_connect($this->dbHost, $this->dbUsername, $this->dbPassword);
		}
		
		if($this->conn) {
			// seleciona a base de dados
			mysql_select_db($this->dbName, $this->conn);
			//mysql_select_db($this->dbName.$db, $this->conn);
			return true;
		}

		return false;
	}

	/**
	 * Consulta a base de dados e armazena o resultado no objeto
	 * @param $query consulta a ser enviada ao servidor
	 * @return false - erro, true - consulta enviada
	 */
	function dbQuery($query) {
		
		$this->query = $query;
		
		if($this->result = mysql_query($this->query)){
			$this->dbDisconnect();
			return $this->result;
		} else {
			
			die("Ocorreu um erro ao executar a Query SQL abaixo:<br>$query<br><br><b>MySQL Retornou: ".mysql_error()."<b>");
			
			$this->dbDisconnect();
		}
	}
	
	/**
	 * Retorna uma nica linha com os registros da consulta
	 * @return $fields array campos
	 */
    function LoadFromId()
    {
		// TOTAL DE CAMPOS
		$numfields = mysql_num_fields($this->result);
	
		// PERCORRE A COLEO DOS CAMPOS
		for($i = 0; $i < $numfields; $i++){
			$fieldname[$i] = mysql_field_name($this->result, $i);
		}

		while($row = mysql_fetch_object($this->result) ){
			//CRIANDO ARRAY COM OS CAMPOS -> VALORES
			for($i = 0; $i < $numfields; $i++){
				$fields[$fieldname[$i]] = utf8_encode($row->$fieldname[$i]);
			}
		}		

		return $fields;
    }

	/**
	 * Retorna um array com os resultados da consulta
	 * @return $result array de registros
	 */
	function fetchRow() {
		return mysql_fetch_row($this->result);
	}

	/**
	 * Retorna um array associativo com os resultados da consulta
	 * @return $result array de registros
	 */
	function fetchArray() {
		return mysql_fetch_array($this->result);
	}

	/**
	 * Retorna um objeto com os resultados da consulta
	 * @return $result objeto contendo registros
	 */
	function fetchObject() {
		return mysql_fetch_object($this->result);
	}

	/**
	 * Retorna o numero de linhas afetadas pela ultima consulta
	 * @return $rows numero de linhas afetadas
	 */
	function affectedRows() {
		return mysql_affected_rows($this->conn);
	}

	/**
	 * Limpa o ponteiro de resultados
	 */
	function freeResult() {
		return mysql_free_result($this->result);
	}
	
	/**
	 * Obtm o numero de campos em um resultado
	 * @return com o total de campos na consulta
	 */
	function numFieldsResult() {
		return mysql_num_fields($this->result);
	}
	
	/**
	 * Retorna o numero de colunas encontradas
	 */
	function numResult() {
		return mysql_num_rows($this->result);
	}
	
	/**
	 * Obtm as flags associadas ao campo especificado em um resultado
	 */
	function flagsResult($x) {
		return mysql_field_flags($this->result, $x);
	}
	
	/**
	 * Obtm o nome do campo especificado em um resultado
	 */
	function nameResult($x) {
		return mysql_field_name($this->result, $x);
	}
	
	/**
	 * Obtm o tipo do campo especificado em um resultado
	 */
	function typeResult($x) {
		return mysql_field_type($this->result, $x);
	}

	/**
	 * Fecha a conexao com o servidor
	 * @return false - falha, true - desconectado
	 */
	function dbDisconnect() {
		if($this->persistent) {
			return mysql_close($this->conn);
		}
	}

}
?>