<?php
session_start();
// Classe conexão MySQL
require_once("../../../includes/view/class.MySQL.php");
// Classe retorna registro
require_once("../../../includes/view/class.BdMySQL.php");
// Controler - Classe para notificação de alteração de cadastro
require_once("../../../includes/view/class.NotiFy.php");
// Classe - Classe funções
require_once("../../../includes/view/class.Funcoes.php");
// Classe - Classe funções
require_once("../../../includes/view/class.WhiLe.php");

// Instânciando o objeto
$fControl = new Funcoes();
// Cria instância de Funções
$oWhile = new WhiLee;

$MesesU = array("Ñ INFORMADO", "JANEIRO", "FEVEREIRO", "MARÇO", "ABRIL", "MAIO", "JUNHO", "JULHO", "AGOSTO", "SETEMBRO", "OUTUBRO", "NOVEMBRO", "DEZEMBRO");

$MesesL = array("Ñ informado", "Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro");

$Agenda = $_POST["Agenda"];
$Mes = (int)$_POST["Mes"];
$Ano = (int)$_POST["Ano"];

switch ($Agenda) {
    
	case "Federal": 

		$AgeCod = $_POST["AgeCod"];

		echo "
		<div class=\"divHeader\"><h2>AGENDA DE OBRIGAÇÕES TRIBUTÁRIAS</h2><h2>OBRIGAÇÕES FEDERAIS, TRABALHISTA E PREVIDENCIÁRIAS – ".$MesesU[$Mes]."/".$Ano."</h2></div>
		<div><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Painel&Ano=".$Ano."', true);\">VOLTAR</a></div>
		<div class=\"Clear\">&nbsp;</div>";
        
		// INSTÂNCIANDO O OBJETO ((float)(str_repeat("0.", count($MaxPerCod))."1")+(1.2.1))
		$Bd = new BdMySql;
		// EXECUTA A QUERY
		$Campo = $Bd->LoadFromId("SELECT ciAgeCod FROM tblAgendas WHERE ciAgeMes = '".$Mes."' AND ciAgeAno = '".$Ano."' AND ciAgeDia IS NULL AND ccAgeEstado IS NULL");
		
		//abrimos o arquivo em leitura
		$arquivo = ('../../../agendas/' . $Campo["ciAgeCod"] . '.txt');

		// Verificando se arquivo existe
		if (file_exists($arquivo)) {
			$fp = fopen($arquivo,'r');
			//lemos o arquivo
			$texto = fread($fp, filesize($arquivo));
		}
		
		if (strlen($texto) > 0) {
			echo "<div class=\"Clear\" style=\"margin:10px 20px;\">".$texto."</div>";
		} else {
			echo "<div class=\"Clear\" style=\"margin:10px 20px; text-align:center;\">Sem registro.</div>";
		}
		
		echo "<script>$.unblockUI({ fadeOut: 200 });</script>";
		
	break;
	
	case "Estadual": 

		$Estado = $_POST["Estado"];
		$Sigla = $_POST["Sigla"];

		echo "
		<div class=\"divHeader\"><h2>AGENDA DE OBRIGAÇÕES TRIBUTÁRIAS DE ".$Estado."</h2><h2>".$MesesU[$Mes]." DE ".$Ano."</h2></div>
		<div><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Painel&Ano=".$Ano."', true);\">VOLTAR</a></div>
		<div class=\"Clear\">&nbsp;</div>";
        
		// INSTÂNCIANDO O OBJETO ((float)(str_repeat("0.", count($MaxPerCod))."1")+(1.2.1))
		$Bd = new BdMySql;
		// EXECUTA A QUERY
		$Campo = $Bd->LoadFromId("SELECT ciAgeCod, txAgeMensagem FROM tblAgendas WHERE ciAgeMes = '".$Mes."' AND ciAgeAno = '".$Ano."' AND ccAgeEstado = '".$Sigla."' AND ciAgeDia IS NULL");
		
		//abrimos o arquivo em leitura
		$arquivo = ('../../../agendas/' . $Campo["ciAgeCod"] . '.txt');

		// Verificando se arquivo existe
		if (file_exists($arquivo)) {
			$fp = fopen($arquivo,'r');
			//lemos o arquivo
			$texto = fread($fp, filesize($arquivo));
			//$texto = str_replace("\"","",$texto);
		}
		
		if (strlen($texto) > 0) {
			echo "<div class=\"Clear\" style=\"margin:10px 20px;\">".$texto."</div>";
		} else {
			echo "<div class=\"Clear\" style=\"margin:10px 20px; text-align:center;\">Sem registro.</div>";
		}
		
		echo "<script>$.unblockUI({ fadeOut: 200 });</script>";
		
	break;
	
	case "Painel":  
	
		// CRIA OBJETO
		$oMysql = new MySQL;
		// ESTABELECE A CONEXÃO
		$oMysql->dbConnect();
		
		if ((int)$_POST["Ano"] >= 2012) { $Ano = (int)$_POST["Ano"]; } else { $Ano = date("Y"); }
		?>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="todas">
            <tr>
            	<td colspan="2" style="padding-top:5px;">
                	Ano : 
                    <select onchange="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Painel&Ano='+this.value+'', true);" style="border-bottom:1px solid #ddd; border-left:1px solid #c3c3c3; border-right:1px solid #c3c3c3; border-top:1px solid #7c7c7c; background-color:#FBFBFB; color:#666; font-size:13px; padding:3px 1px 1px 1px;">
                        <?php echo $fControl->Dia(2012, (date("Y")+2), $Ano); ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td><h1>Agenda Federal</h1></td>
                <td><h1>Agenda Estadual</h1></td>
            </tr>
            <tr>
                <td class="agFederal" width="50%">
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=1&Ano=<?php echo $Ano; ?>', true);">Janeiro</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=2&Ano=<?php echo $Ano; ?>', true);">Fevereiro</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=3&Ano=<?php echo $Ano; ?>', true);">Março</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=4&Ano=<?php echo $Ano; ?>', true);">Abril</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=5&Ano=<?php echo $Ano; ?>', true);">Maio</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=6&Ano=<?php echo $Ano; ?>', true);">Junho</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=7&Ano=<?php echo $Ano; ?>', true);">Julho</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=8&Ano=<?php echo $Ano; ?>', true);">Agosto</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=9&Ano=<?php echo $Ano; ?>', true);">Setembro</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=10&Ano=<?php echo $Ano; ?>', true);">Outubro</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=11&Ano=<?php echo $Ano; ?>', true);">Novembro</a></p>
                    <p><a href="javascript:void(0)" onclick="pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Federal&Mes=12&Ano=<?php echo $Ano; ?>', true);">Dezembro</a></p>
                    <div class="Clear"></div>
                </td>
                <td width="50%">
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" class="agEstadual">
                        <tr>
                            <td width="50%"><a href="javascript:void(0)" name="Bahia" class="Ocult">Bahia</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'BH' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Bahia\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=BH&Estado=BAHIA&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td width="50%"><a href="javascript:void(0)" name="Para" class="Ocult">Pará</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'PA' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Para\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=PA&Estado=PARÁ&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="Ceara" class="Ocult">Ceará</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'CE' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Ceara\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=CE&Estado=CEARÁ&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="Parana" class="Ocult">Paraná</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'PR' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Parana\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=PR&Estado=PARANÁ&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="DistritoFederal" class="Ocult">Distrito Federal</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'DF' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"DistritoFederal\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=DF&Estado=DISTRITO FEDERAL&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="Pernambuco" class="Ocult">Pernambuco</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'PE' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Pernambuco\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=PE&Estado=PERNAMBUCO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="EspiritoSanto" class="Ocult">Espírito Santo</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'ES' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"EspiritoSanto\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=ES&Estado=ESPÍRITO SANTO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="Piaui" class="Ocult">Piauí</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'PI' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Piaui\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=PI&Estado=PIAUÍ&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="Goias" class="Ocult">Goiás</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'GO' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Goias\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=GO&Estado=GOIÁS&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="RioJaneiro" class="Ocult">Rio de Janeiro</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'RJ' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"RioJaneiro\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=RJ&Estado=RIO DE JANEIRO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="Maranhao" class="Ocult">Maranhão</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'MA' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"Maranhao\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=MA&Estado=MARANHÃO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="RioGrandeSul" class="Ocult">Rio Grande do Sul</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'RS' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"RioGrandeSul\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=RS&Estado=RIO GRANDE DO SUL&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="MatoGrosso" class="Ocult">Mato Grosso</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'MT' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"MatoGrosso\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=MT&Estado=MATO GROSSO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="SantaCatarina" class="Ocult">Santa Catarina</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'SC' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"SantaCatarina\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=SC&Estado=SANTA CATARINA&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        
                        <tr>
                            <td><a href="javascript:void(0)" name="MatoGrossoSul" class="Ocult">Mato Grosso Sul</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'MS' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"MatoGrossoSul\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=MS&Estado=MATO GROSSO DO SUL&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td><a href="javascript:void(0)" name="SaoPaulo" class="Ocult">São Paulo</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'SP' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"SaoPaulo\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=SP&Estado=SÃO PAULO&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td><a href="javascript:void(0)" name="MinasGerais" class="Ocult">Minas Gerais</a>
                                <?php
								// EXECUTA QUERY
								$sQuery = $oMysql->dbQuery("SELECT ciAgeCod, ciAgeMes FROM tblAgendas WHERE ccAgeEstado = 'MG' AND ciAgeAno = '".$Ano."' AND ciAgeDia  IS NULL ORDER BY ciAgeMes DESC");
								if (mysql_num_rows($sQuery) > 0){
									echo "<ul id=\"MinasGerais\">";
									while($reg = mysql_fetch_array($sQuery)){
										echo "<li style=\"list-style:disc;\"><a href=\"javascript:void(0)\" onclick=\"pOstHtmlSerialize('http://www.sitesa.com.br/central/divs/agendas/inc/c.Load.php', '.tBody', 'Agenda=Estadual&Sigla=MG&Estado=Minas Gerais&Mes=".$reg["ciAgeMes"]."&Ano=".$Ano."&AgeCod=".$reg["ciAgeCod"]."', true);\">".$MesesL[$reg["ciAgeMes"]]."</a></li>";
									}
									echo "</ul>";
								}
								?>
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                    </table>
                    <div class="Clear"></div>
                </td>
            </tr>
        </table>
		<?php		
		
		// DISCONECTA
		$oMysql->dbDisconnect();

		echo "<script>
		$.unblockUI({ fadeOut: 200 });
		$(\".Ocult\").click(function () {
			$(\"ul\").slideUp(\"slow\");
			$(\"ul#\" + this.name).slideToggle(\"slow\");
		});
		</script>";
		
	break;
}


?>
