<?php
/**
 * @param	int		$month	One-digit integer of current month (ie. 1, 2, 3...12)
 * @param	int		$year	Four-digit integer of current year	 (ie. 2009)
 */
 
function Calendar($month,$year){
	
	// Classe - Classe funes
	require_once("class.Funcoes.php");
	// Instnciando o objeto
	$fControl = new Funcoes();
	
	$month["MES"] = $fControl->strPad($month["MES"], 2);
	
	/**
	 * Carregando feriados
	 */
	$fer = array();
	$row = array();
	$feriados = array();
	$SqlPrev = array();
	
	$meses = array('JAN','FEV','MAR','ABR','MAI','JUN','JUL','AGO','SET','OUT','NOV','DEZ');
	
	// Cria objeto
	$oMysql = new MySQL;
	// Estabelece conexo
	$oMysql->dbConnect();
	// Executa query
	$sQuery = $oMysql->dbQuery("SELECT ciAgeDia, txAgeMensagem FROM tblAgendas WHERE ciAgeMes = '".$month["MES"]."' AND ciAgeAno = '".$year["ANO"]."' AND ciAgeDia IS NOT NULL ORDER BY ciAgeDia ASC");
	
	if (mysql_num_rows($sQuery) > 0){
		while($reg = mysql_fetch_array($sQuery)){
			
			// Adicionando ao calendrio
			echo "<div id=\"vis".(int)$reg["ciAgeDia"]."\" style=\"display:none; font-size:12px; font-family:verdana; position:relative; overflow:auto; height:550px;\"><img src=\"cross-white.png\" alt=\"fechar\" width=\"16\" height=\"16\" style=\"right:0px; top:0px; position:absolute; cursor:pointer;\" onclick=\"$.unblockUI({ fadeOut: 200 });\" />".utf8_encode($reg["txAgeMensagem"])."</div>";
			$row[(int)$reg["ciAgeDia"]] = (int)$reg["ciAgeDia"];
		}
	}
			
	// Tabela incio
	$calendar = '<table cellpadding="0" cellspacing="0" class="grid">';
	// Cabealho da tabela
	$headings = array('D','S','T','Q','Q','S','S');
	$calendar.= '<thead><tr class="headings"><th><a href="javascript:void(0)" onclick="window.location.href=\'?Mes='.$month["MESA"].'&Ano='.$year["ANOA"].'\'">&lt;</a></th><th colspan="5">'.$meses[($month["MES"]-1)].'/'.$year["ANO"].'</th><th><a href="javascript:void(0)" onclick="window.location.href=\'?Mes='.$month["MESP"].'&Ano='.$year["ANOP"].'\'">&gt;</a></th></tr><tr class="headings gradiente"><th width="14%" style="border-left:1px solid #DADFE0;"><a><span>'.implode('</span></a></th><th width="14%"><span><a>',$headings).'</a></span></th></tr></thead><tbody>';

	// Declarando dias e semanas
	$running_day = date('w',mktime(0,0,0,$month["MES"],1,$year["ANO"]));
	$days_in_month = date('t',mktime(0,0,0,$month["MES"],1,$year["ANO"]));
	$days_in_this_week = 1;
	$day_counter = 0;
	$dates_array = array();

	// Linha para um semana
	$calendar.= '<tr class="calendar-row calendar">';

	// Imprimir "em branco" at o primeiro dia da semana atual
	for($x = 0; $x < $running_day; $x++) {
		$calendar.= '<td class="calendar-day-np" style="border-left:0px;">&nbsp;</td>';
		$days_in_this_week++;
	}

	// Continuar com dias
	for($list_day = 1; $list_day <= $days_in_month; $list_day++) {
			
			// Formatando 1  9
			$list_day = $fControl->strPad($list_day, 2);
			
			// Atribuindo hoje
			if (strlen($row[(int)$list_day]) > 0)
			{
				$Today = " marked";
			}
		
			// 0 - Domingo , 6 - sbado , default - dia til
			switch ($running_day) {
				case 0:
					$calendar.= '<td id="'.$year["ANO"].'-'.$month["MES"].'-'.$list_day.'" class="domingo'.$Today.'">';
					break;
				case 6:
					$calendar.= '<td id="'.$year["ANO"].'-'.$month["MES"].'-'.$list_day.'" class="calendarDay'.$Today.'" style="border-right:1px solid #DADFE0;">';
					break;
				default:
					$calendar.= '<td id="'.$year["ANO"].'-'.$month["MES"].'-'.$list_day.'" class="calendarDay'.$Today.'">';
					break;
			}			
			
			$timestamp = mktime(0,0,0,$month["MES"],$list_day,$year["ANO"]);
			$calendar.= "
				<div class=\"dayNumber\">
					<a href=\"javascript:void(0)\" onclick=\"Win('#vis".(int)$list_day."', '20px', '8%', '80%', '20px');\">".$list_day."</a>
				</div>";
			
			$calendar.= '</td>';
			if($running_day == 6) {
				$calendar.= '</tr>';
				if(($day_counter+1) != $days_in_month) {
					$calendar.= '<tr class="calendar-row calendar">';
				}
				$running_day = -1;
				$days_in_this_week = 0;
			}
			$days_in_this_week++; $running_day++; $day_counter++;
			
			$Today = "";
	}

	/* finish the rest of the days in the week */
	if($days_in_this_week < 8) {
		//$calendar.= '<tr>';
		for($x = 1; $x <= (8 - $days_in_this_week); $x++) {
			$calendar.= '<td class="calendar-day-np"></td>';
		}
	}

	/* final row */
	$calendar.= '</tr>';

	/* end the table */
	$calendar.= '</tbody></table>';
	
	// Fecha conexo
	$oMysql->dbDisconnect();
	
	/* all done, return result */
	return $calendar;
}
?>